Package com.ads.api.beans.common

# Class ImportHelper

java.lang.Object
com.ads.api.beans.common.ImportHelper

Direct Known Subclasses:
  `CatalogImportHelper`

public class ImportHelper extends Object
This class provides some beans control methods related to filePath, filePathType and its details.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilePath()`
  Returns the file path
  `APIConstants.FilePathType`
  `getFilePathType()`
  Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
  `String`
  `getHeaderString()`
  Returns the headerString of the given file.
  `boolean`
  `isTreatFirstRowAsHeader()`
  Returns the treatFirstRowAsHeader of the given file as true or false.
  `void`
  `setFilePath(String filePath)`
  Method sets the file path as specified.
  `void`
  `setFilePathType(APIConstants.FilePathType filePathType)`
  Method sets the path type for the specified file.
  `void`
  `setHeaderString(String headerString)`
  Method sets the headerString for the specified file
  `void`
  `setTreatFirstRowAsHeader(boolean treatFirstRowAsHeader)`
  Method sets the treatFirstRowAsHeader value for the specified file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImportHelper

    public ImportHelper()

- ## Method Details

  - ### getFilePath

    public String getFilePath()
    Returns the file path
    Returns:
      String - filePath

  - ### setFilePath

    public void setFilePath(String filePath)
    Method sets the file path as specified.
    Parameters:
      `filePath` - String

  - ### getFilePathType

    public APIConstants.FilePathType getFilePathType()
    Returns the path type of the given file.i.e ABSOLUTE OR RELATIVE
    Returns:
      Enum - FilePathType

  - ### setFilePathType

    public void setFilePathType(APIConstants.FilePathType filePathType)
    Method sets the path type for the specified file.
    Parameters:
      `filePathType` - - Enum : Valid values are ABSOLUTE/RELATIVE

  - ### getHeaderString

    public String getHeaderString()
    Returns the headerString of the given file.
    Returns:
      headerString - String

  - ### setHeaderString

    public void setHeaderString(String headerString)
    Method sets the headerString for the specified file
    Parameters:
      `headerString` - - String

  - ### isTreatFirstRowAsHeader

    public boolean isTreatFirstRowAsHeader()
    Returns the treatFirstRowAsHeader of the given file as true or false.
    Returns:
      treatFirstRowAsHeader - boolean

  - ### setTreatFirstRowAsHeader

    public void setTreatFirstRowAsHeader(boolean treatFirstRowAsHeader)
    Method sets the treatFirstRowAsHeader value for the specified file.
    Parameters:
      `treatFirstRowAsHeader` - boolean